{*********************************************}
{  TeeChart Charting Library for FireMonkey   }
{  Copyright (c) 2012 by Steema Software      }
{  All Rights Reserved                        }
{*********************************************}
unit FMXTee.About;
{$I TeeDefs.inc}

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms,
  FMX.Dialogs, FMX.Types3D, FMX.Objects3D, FMX.Ani, FMXTee.Chart3D,
  {$IFDEF D17}
  FMX.Materials,
  {$ENDIF}
  FMX.Layers3D, FMXTee.Engine, FMXTee.Procs, FMXTee.Chart, FMXTee.Series;

type
  TFormAbout = class(TForm3D)
    LVersion: TText3D;
    Chart3D1: TChart3D;
    FloatAnimation2: TFloatAnimation;
    Series1: TBarSeries;
    Image3D1: TImage3D;
    TextOffer: TText3D;
    FloatAnimation4: TFloatAnimation;
    Light1: TLight;
    procedure Form3DCreate(Sender: TObject);
    procedure Text3D3Click(Sender: TObject);
    procedure Form3DActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    class procedure About(AOwner:TComponent);
  end;

var
  TeeIsTrial : Boolean=False;

implementation

{$R *.fmx}

uses
  FMXTee.Constants;

class procedure TFormAbout.About(AOwner: TComponent);
begin
  with TFormAbout.Create(AOwner) do
  try
    ShowModal;
  finally
    Free;
  end;
end;

procedure TFormAbout.Form3DActivate(Sender: TObject);
begin
  {$IFNDEF D17}
  // Workaround XE2 bug:
  Light1.Parent:=nil;
  Light1.Parent:=Self;
  {$ENDIF}
end;

procedure TFormAbout.Form3DCreate(Sender: TObject);
begin
//  Series1.BarStyle:=bsCone;

  LVersion.Text:=TeeMsg_Version;

  {$IFDEF TEELITEEMB}
  TextOffer.Text:=TeeRADXE2_SpecialOffer;
  {$ELSE}
  TextOffer.Visible:=False;
  {$ENDIF}
end;

procedure TFormAbout.Text3D3Click(Sender: TObject);
begin
  {$IFDEF TEELITEEMB}
  TeeGotoURL(Handle, TeeRADXE2_SpecialWWW);
  {$ELSE}
  TeeGotoURL(Handle, 'http://www.steema.com');
  {$ENDIF}
end;

end.
